2019-10-18 01:18 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000278Spring engineGeneralpublic2006-09-19 21:28
Reportercolorblind 
Assigned Totvo 
PrioritylowSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000278: Selecting default groupAI twice crashes
DescriptionIf you take the following actions, Spring crashes.

1. Select a unit
2. Assign the default groupAI to that unit (via "Select AI")
3. Select the default groupAI
4. Assign the default groupAI once more.
Additional InformationThe command parameter used to select the particular ai dll is 1 too high if you already have the default AI selected.

This results in a shift of the groupAI you want to select, and in a crash if you select the last one in the list (the default AI).

This bug has a low priority, as no one ever uses the default group AI anyway.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0000359

tvo (reporter)

fixed in r2227
+Notes

-Issue History
Date Modified Username Field Change
2006-08-24 16:53 colorblind New Issue
2006-09-19 21:27 tvo Status new => assigned
2006-09-19 21:27 tvo Assigned To => tvo
2006-09-19 21:28 tvo Status assigned => resolved
2006-09-19 21:28 tvo Resolution open => fixed
2006-09-19 21:28 tvo Note Added: 0000359
+Issue History